<bugID>616847<Summary>HTTP authentication dialog should be tab-modal</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12 ( .NET CLR 3.5.30729; .NET4.0E)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-GB; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12 ( .NET CLR 3.5.30729; .NET4.0E)

The HTTP authentication dialog is currently window-modal. While it is shown, the user is unable to use any other tabs. Additionally, if the tab wishing to display the prompt is a background tab, it steals focus.

The desired behaviour is for the prompt to only block the tab it relates to, and not steal focus when it's shown.

Reproducible: Always

Steps to Reproduce:
1. Ctrl-click the specified URL to open it in a background tab.
2. Observe both the focus stealing and the modality.</Description></bugID>